org.codehaus.groovy.antlr

## Class ASTRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.antlr.ASTRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public class ASTRuntimeException
    extends java.lang.RuntimeException

Used within the Groovy's AntlrParserPlugin

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ASTRuntimeException(antlr.collections.AST ast, java.lang.String message)`
`ASTRuntimeException(antlr.collections.AST ast, java.lang.String message, java.lang.Throwable throwable)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static java.lang.String` `description(antlr.collections.AST node)`
`antlr.collections.AST` `getAst()`
`int` `getColumn()`
`int` `getLine()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASTRuntimeException

    public ASTRuntimeException(antlr.collections.AST ast,
                               java.lang.String message)

#### ASTRuntimeException

    public ASTRuntimeException(antlr.collections.AST ast,
                               java.lang.String message,
                               java.lang.Throwable throwable)

### Method Detail

#### description

    protected static java.lang.String description(antlr.collections.AST node)

#### getAst

    public antlr.collections.AST getAst()

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()